Skip to navigation

Get a session

One session: energy, cost, status. Send country_code and party_id when two parties used the id.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

session_idstringRequired1-36 characters
OCPI session id.

Query parameters

country_codestring or nullOptionalformat: "^[A-Z]{2}$"

Owner party’s OCPI country code; send it when two parties used the id.

party_idstring or nullOptionalformat: "^[A-Z0-9]{3}$"

Owner party’s OCPI party id; send it when two parties used the id.

Response

The session in OCPI 2.2.1 shape.
idstring
country_codestring
party_idstring
start_date_timedatetime
last_updateddatetime
sourceenum or any
end_date_timedatetime or nullOptional
kwhdouble or nullOptional
cdr_tokenmap from strings to any or nullOptional
auth_methodstring or nullOptional
authorization_referencestring or nullOptional
location_idstring or nullOptional
evse_uidstring or nullOptional
connector_idstring or nullOptional
currencystring or nullOptional
total_costmap from strings to any or nullOptional
statusstring or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error